import { type ReactNode } from "react";
import { type EmojiRegistry } from "./emoji-data";
export type EmojiProviderProps = {
    children: ReactNode;
    registry: EmojiRegistry;
};
export declare function EmojiProvider({ children, registry }: EmojiProviderProps): import("react").JSX.Element;
export declare function useEmojiRegistry(registry?: EmojiRegistry): EmojiRegistry;
